StaticCompilationMetadataKeys (Groovy 2.4.15)
Date: 2018-03-23

org.codehaus.groovy.transform.sc

## Enum StaticCompilationMetadataKeys

- java.lang.Object
- - java.lang.Enum<StaticCompilationMetadataKeys>
  - - org.codehaus.groovy.transform.sc.StaticCompilationMetadataKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<StaticCompilationMetadataKeys>

      public enum StaticCompilationMetadataKeys
      extends java.lang.Enum<StaticCompilationMetadataKeys>

  Static compilation AST node metadata keys.
  Author:
    Cedric Champeau

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BINARY_EXP_TARGET`
    `COMPONENT_TYPE`
    `DYNAMIC_OUTER_NODE_CALLBACK`
    `PRIVATE_BRIDGE_METHODS`
    `PRIVATE_FIELDS_ACCESSORS`
    `PRIVATE_FIELDS_MUTATORS`
    `PROPERTY_OWNER`
    `RECEIVER_OF_DYNAMIC_PROPERTY`
    `STATIC_COMPILE_NODE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StaticCompilationMetadataKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StaticCompilationMetadataKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STATIC_COMPILE_NODE

          public static final StaticCompilationMetadataKeys STATIC_COMPILE_NODE

    - #### BINARY_EXP_TARGET

          public static final StaticCompilationMetadataKeys BINARY_EXP_TARGET

    - #### PRIVATE_BRIDGE_METHODS

          public static final StaticCompilationMetadataKeys PRIVATE_BRIDGE_METHODS

    - #### PRIVATE_FIELDS_ACCESSORS

          public static final StaticCompilationMetadataKeys PRIVATE_FIELDS_ACCESSORS

    - #### PRIVATE_FIELDS_MUTATORS

          public static final StaticCompilationMetadataKeys PRIVATE_FIELDS_MUTATORS

    - #### DYNAMIC_OUTER_NODE_CALLBACK

          public static final StaticCompilationMetadataKeys DYNAMIC_OUTER_NODE_CALLBACK

    - #### PROPERTY_OWNER

          public static final StaticCompilationMetadataKeys PROPERTY_OWNER

    - #### COMPONENT_TYPE

          public static final StaticCompilationMetadataKeys COMPONENT_TYPE

    - #### RECEIVER_OF_DYNAMIC_PROPERTY

          public static final StaticCompilationMetadataKeys RECEIVER_OF_DYNAMIC_PROPERTY

  - ### Method Detail

    - #### values

          public static StaticCompilationMetadataKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StaticCompilationMetadataKeys c : StaticCompilationMetadataKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StaticCompilationMetadataKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null